cURL
curl --request GET \
--url https://api.relay.link/app-fees/{wallet}/balancesconst options = {method: 'GET'};
fetch('https://api.relay.link/app-fees/{wallet}/balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.relay.link/app-fees/{wallet}/balances"
response = requests.get(url)
print(response.text){
"balances": [
{
"currency": {
"chainId": 8453,
"address": "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
"symbol": "USDC",
"name": "USD Coin",
"decimals": 6,
"metadata": {
"logoURI": "https://ethereum-optimism.github.io/data/USDC/logo.png",
"verified": false,
"isNative": false
}
},
"amount": "30754920",
"amountFormatted": "30.75492",
"amountUsd": "30.901612",
"minimumAmount": "30454920"
}
],
"totalBalanceUsd": 123,
"outstandingFastFillBalanceUsd": 123,
"availableBalanceUsd": 123
}{
"message": "<string>"
}API Reference
Get App Fee Balances
This API returns app fee balances for a specific wallet.
GET
/
app-fees
/
{wallet}
/
balances
cURL
curl --request GET \
--url https://api.relay.link/app-fees/{wallet}/balancesconst options = {method: 'GET'};
fetch('https://api.relay.link/app-fees/{wallet}/balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.relay.link/app-fees/{wallet}/balances"
response = requests.get(url)
print(response.text){
"balances": [
{
"currency": {
"chainId": 8453,
"address": "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
"symbol": "USDC",
"name": "USD Coin",
"decimals": 6,
"metadata": {
"logoURI": "https://ethereum-optimism.github.io/data/USDC/logo.png",
"verified": false,
"isNative": false
}
},
"amount": "30754920",
"amountFormatted": "30.75492",
"amountUsd": "30.901612",
"minimumAmount": "30454920"
}
],
"totalBalanceUsd": 123,
"outstandingFastFillBalanceUsd": 123,
"availableBalanceUsd": 123
}{
"message": "<string>"
}What are app fees?
Headers
Optional API key for authentication and higher rate limits.
Path Parameters
Wallet to get the app fees for
Response
Default Response
An array of app fee balances across multiple currencies
Show child attributes
Show child attributes
Total app fee balance in USD across all currencies.
Outstanding fast fill balance in USD that has not yet settled. This amount is deducted from the available collateral for new fast fills and claims.
Total balance minus outstanding fast fill balance. The effective collateral available for new fast fills and claims.
Was this page helpful?